=== debian/changelog ===
nanopb (0.4.1-1) unstable; urgency=medium

  * Initial release (closes: #821097).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 03 Feb 2020 22:40:20 +0000
