## nanopb 0.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(nanopb C)
 
-set(nanopb_VERSION_STRING nanopb-0.4.1)
+set(nanopb_VERSION_STRING nanopb-0.4.2)
 set(nanopb_SOVERSION 0)
 
 string(REPLACE "nanopb-" "" nanopb_VERSION ${nanopb_VERSION_STRING})
@@ -41,9 +41,9 @@
 if(nanopb_BUILD_GENERATOR)
     set(generator_protos nanopb)
 
-    find_package(PythonInterp 2.7 REQUIRED)
+    find_package(Python REQUIRED)
     execute_process(
-        COMMAND ${PYTHON_EXECUTABLE} -c
+        COMMAND ${Python_EXECUTABLE} -c
             "from distutils import sysconfig; print(sysconfig.get_python_lib(prefix=''))"
         OUTPUT_VARIABLE PYTHON_INSTDIR
         OUTPUT_STRIP_TRAILING_WHITESPACE
@@ -60,7 +60,7 @@
         add_custom_target("generate_${generator_proto_py_file}" ALL DEPENDS ${generator_proto_py_file})
         install(
             FILES ${PROJECT_BINARY_DIR}/${generator_proto_py_file}
-			DESTINATION ${PYTHON_INSTDIR}
+            DESTINATION ${Python_SITELIB}
         )
     endforeach()
 endif()
