=== debian/changelog ===
nanopb (0.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Backport upstream fix for float_double_conversion test failures on MIPS.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 23 Jun 2020 21:11:55 +0200

nanopb (0.4.1+git200620-1) unstable; urgency=medium

  * New git snapshot release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 21 Jun 2020 15:00:16 +0200

nanopb (0.4.1+git200603-1) unstable; urgency=medium

  * New git snapshot release (closes: #962537).
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 11 Jun 2020 20:20:13 +0200
