## nanopb 0.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(nanopb C)
 
-set(nanopb_VERSION_STRING nanopb-0.4.2)
+set(nanopb_VERSION_STRING nanopb-0.4.3)
 set(nanopb_SOVERSION 0)
 
 string(REPLACE "nanopb-" "" nanopb_VERSION ${nanopb_VERSION_STRING})
@@ -60,9 +60,27 @@
         add_custom_target("generate_${generator_proto_py_file}" ALL DEPENDS ${generator_proto_py_file})
         install(
             FILES ${PROJECT_BINARY_DIR}/${generator_proto_py_file}
-            DESTINATION ${Python_SITELIB}
+                  ${generator_proto_file}
+            DESTINATION ${PYTHON_INSTDIR}/proto/
         )
     endforeach()
+endif()
+
+install( FILES generator/proto/_utils.py
+         DESTINATION ${PYTHON_INSTDIR}/proto/ )
+
+if( WIN32 )
+        install(
+            PROGRAMS generator/nanopb_generator.py
+                     generator/protoc-gen-nanopb.bat
+            DESTINATION ${CMAKE_INSTALL_BINDIR}
+        )
+else()
+        install(
+            PROGRAMS generator/nanopb_generator.py
+                     generator/protoc-gen-nanopb
+            DESTINATION ${CMAKE_INSTALL_BINDIR}
+        )
 endif()
 
 if(nanopb_BUILD_RUNTIME)
