=== tests/SConstruct ===
--- 
+++ 
@@ -4,6 +4,7 @@
 build appropriately.
 
 You can modify the behavious using following options:
+BUILDDIR    Directory to build into (default "build")
 CC          Name of C compiler
 CXX         Name of C++ compiler
 CCFLAGS     Flags to pass to the C compiler
@@ -22,10 +23,22 @@
 
 import os
 import platform
-env = Environment(ENV = os.environ, tools = ['default', 'nanopb'])
-env.SConsignFile("build/sconsign")
-env.Replace(CONFIGUREDIR = "build/config")
-
+env = Environment(ENV = os.environ)
+
+# Allow giving environment flags on command line.
+list_vars = ['CCFLAGS', 'CXXFLAGS', 'LINKFLAGS', 'LINKLIBS', 'PROTOCFLAGS']
+for var,val in ARGUMENTS.items():
+    if var in list_vars:
+        env.Append(**{var: val})
+    else:
+        env.Replace(**{var: val})
+
+env.SetDefault(BUILDDIR = "build")
+env.SConsignFile(env['BUILDDIR'] + "/sconsign")
+env.Replace(CONFIGUREDIR = env['BUILDDIR'] + "/config")
+
+# If a cross compilation platform is given, apply the environment settings
+# from site_scons/platforms/X/X.py
 if ARGUMENTS.get('PLATFORM'):
     platform_func = platforms.get(ARGUMENTS.get('PLATFORM'))
     if not platform_func:
@@ -34,6 +47,9 @@
     else:
         platform_func(env)
 
+# Load nanopb generator build rules from site_scons/site_tools/nanopb.py
+env.Tool("nanopb")
+
 # Limit memory usage. This is to catch problems like issue #338
 try:
     import resource
@@ -44,21 +60,8 @@
 
 # On Mac OS X, gcc is usually alias for clang.
 # To avoid problem with default options, use clang directly.
-if platform.system() == "Darwin":
-    env.Replace(CC = "clang", CXX = "clang")
-
-# Allow overriding the compiler with scons CC=???
-if 'CC' in ARGUMENTS: env.Replace(CC = ARGUMENTS['CC'])
-if 'CXX' in ARGUMENTS: env.Replace(CXX = ARGUMENTS['CXX'])
-if 'LINK' in ARGUMENTS: env.Replace(LINK = ARGUMENTS['LINK'])
-if 'CCFLAGS' in ARGUMENTS: env.Append(CCFLAGS = ARGUMENTS['CCFLAGS'])
-if 'CXXFLAGS' in ARGUMENTS: env.Append(CXXFLAGS = ARGUMENTS['CXXFLAGS'])
-if 'LINKFLAGS' in ARGUMENTS: env.Append(LINKFLAGS = ARGUMENTS['LINKFLAGS'])
-if 'LINKLIBS' in ARGUMENTS: env.Append(LINKLIBS = ARGUMENTS['LINKLIBS'])
-if 'PROTOC' in ARGUMENTS: env.Replace(PROTOC = ARGUMENTS['PROTOC'])
-if 'PROTOCFLAGS' in ARGUMENTS: env.Replace(PROTOCFLAGS = ARGUMENTS['PROTOCFLAGS'])
-if 'NODEFARGS' in ARGUMENTS: env.Replace(NODEFARGS = ARGUMENTS['NODEFARGS'])
-if 'NOVALGRIND' in ARGUMENTS: env.Replace(NOVALGRIND = ARGUMENTS['NOVALGRIND'])
+if platform.system() == "Darwin" and 'CC' not in ARGUMENTS:
+    env.Replace(CC = "clang", CXX = "clang++")
 
 # Add the builders defined in site_init.py
 add_nanopb_builders(env)
@@ -215,7 +218,7 @@
 
 # Place build files under separate folder
 import os.path
-env['VARIANT_DIR'] = 'build'
+env['VARIANT_DIR'] = env['BUILDDIR']
 env['BUILD'] = '#' + env['VARIANT_DIR']
 env['COMMON'] = '#' + env['VARIANT_DIR'] + '/common'
