=== debian/changelog ===
nanopb (0.4.3-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 03 Oct 2020 13:51:33 +0200
