=== debian/changelog ===
nanopb (0.4.4-2) unstable; urgency=high

  * Fix CVE-2021-21401: invalid free() call with oneofs and PB_ENABLE_MALLOC
    (closes: #985844).


 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 15 Apr 2021 21:54:29 +0200

nanopb (0.4.4-1) unstable; urgency=high

  * New upstream release:
    - fix CVE-2020-26243: decoding specifically formed message can leak
      memory (closes: #975838).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 27 Nov 2020 20:30:08 +0100
