=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 12), dh-python, cmake, scons, python3, protobuf-compiler, python3-protobuf
 Homepage: https://jpa.kapsi.fi/nanopb/
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 
 Package: nanopb
 Architecture: all
