=== debian/watch ===
version=4
https://github.com/nanopb/nanopb/tags .*/v?(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
