=== debian/changelog ===
nanopb (0.4.5-2) unstable; urgency=medium

  * Fix build with SCons 4.2.0+ .
  * Update watch file.
  * Update Standards-Version to 4.6.0.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 01 Jan 2022 20:44:26 +0100

nanopb (0.4.5-1) unstable; urgency=medium

  * New upstream release.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.5.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 22 Aug 2021 10:58:43 +0200
