=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-python, cmake, scons, python3, protobuf-compiler, python3-protobuf
+Build-Depends: debhelper-compat (= 13), dh-python, cmake, scons, python3, protobuf-compiler, python3-protobuf
 Homepage: https://jpa.kapsi.fi/nanopb/
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 
 Package: nanopb
 Architecture: all
