=== tests/SConstruct ===
--- 
+++ 
@@ -3,7 +3,7 @@
 It will automatically detect your platform and C compiler and
 build appropriately.
 
-You can modify the behavious using following options:
+You can modify the behaviour using following options:
 BUILDDIR    Directory to build into (default "build")
 CC          Name of C compiler
 CXX         Name of C++ compiler
@@ -162,12 +162,13 @@
         
         # Debug info, warnings as errors
         env.Append(CFLAGS = '-g -Wall -Werror ')
-        env.Append(CORECFLAGS = '-Wextra')
+        env.Append(CORECFLAGS = '-Wextra ')
 
         # Pedantic ANSI C. On AVR this doesn't work because we use large
         # enums in some of the tests.
         if env.get("EMBEDDED") != "AVR":
-            env.Append(CFLAGS = '-ansi -pedantic')
+            env.Append(CFLAGS = '-ansi ')
+            env.Append(CORECFLAGS = '-pedantic ')
 
         # Profiling and coverage
         if not env.get("EMBEDDED"):
@@ -191,6 +192,9 @@
         # More strict checks on the nanopb core
         env.Append(CORECFLAGS = '/W4')
 
+        # Enable C11 standard
+        env.Append(CFLAGS = ' /std:c11 ')
+
         # Disable warning about sizeof(union{}) construct that is used in
         # message size macros, in e.g. multiple_files testcase. The C construct
         # itself is valid, but quite rare, which causes Visual C++ to give a warning
@@ -203,7 +207,7 @@
     if 'clang' in env['CXX']:
         env.Append(CXXFLAGS = '-g -Wall -Werror -Wextra -Wno-missing-field-initializers')
     elif 'g++' in env['CXX'] or 'gcc' in env['CXX']:
-        env.Append(CXXFLAGS = '-g -Wall -Werror -Wextra -Wno-missing-field-initializers')
+        env.Append(CXXFLAGS = '-g -Wall -Werror -Wextra -Wno-missing-field-initializers -std=gnu++11')
     elif 'cl' in env['CXX']:
         env.Append(CXXFLAGS = '/Zi /W2 /WX /wd4116 /wd4127')
