=== debian/changelog ===
nanopb (0.4.6-1) unstable; urgency=medium

  * New upstream release.
  * Install examples to development package.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 03 Jul 2022 11:25:18 +0200

nanopb (0.4.5-3) unstable; urgency=medium

  * Add python3-protobuf dependency (closes: #1008318).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 27 Mar 2022 09:03:25 +0200
