=== debian/changelog ===
nanopb (0.4.7-2) unstable; urgency=medium

  * Add python3-pkg-resources as dependency (closes: #1026803).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 18 Jan 2023 21:00:33 +0100

nanopb (0.4.7-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 17 Dec 2022 09:11:44 +0100
