=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: nanopb
 Architecture: all
-Depends: protobuf-compiler, ${python3:Depends}, python3-protobuf, ${misc:Depends}
+Depends: protobuf-compiler, ${python3:Depends}, python3-pkg-resources, python3-protobuf, ${misc:Depends}
 Multi-Arch: foreign
 Description: Protocol Buffers with small code size
  Plain-C implementation of Google's Protocol Buffers data format. It is
