=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,11 @@
 	cd $(CURDIR)/tests/ && scons
 endif
 
+override_dh_installexamples:
+	dh_installexamples -X.gitignore
+
 %:
 	dh $@ --with python3
 
-.PHONY: override_dh_clean override_dh_auto_build override_dh_auto_test
+.PHONY: override_dh_clean override_dh_auto_build override_dh_auto_test \
+	override_dh_installexamples
