=== debian/changelog ===
nanopb (0.4.8-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 18 Nov 2023 21:46:38 +0100

nanopb (0.4.7-3) unstable; urgency=medium

  * Fix Python installation path (closes: #1052880).
  * Add FindNanopb.cmake to libnanopb-dev (closes: #1040487).
  * Use no for Rules-Requires-Root.
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 27 Sep 2023 21:49:01 +0200
