=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python, cmake, scons, python3, protobuf-compiler, python3-protobuf
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://jpa.kapsi.fi/nanopb/
-Standards-Version: 4.6.0.1
 
 Package: nanopb
 Architecture: all
