=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	dh_installexamples -X.gitignore
 
 %:
-	dh $@ --with python3
+	dh $@ --buildsystem=cmake --with python3
 
 .PHONY: override_dh_clean override_dh_auto_build override_dh_auto_test \
 	override_dh_installexamples
